/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_btn1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         
         sym.play();
         sym.$("btn2").show();
         sym.$("btn1").hide();
         sym.getSymbol("riel").play();
         sym.getSymbol("brazo_izq").play();
         sym.getSymbol("pc").play();
         
         
         sym.$("brillo1_1").show(3);
         sym.$("brillo1").hide();
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("rollo_de_lana2").play();
         
         sym.getSymbol("riel").play();
         sym.$("btn3").show();
         sym.$("btn2").hide();
         
         sym.getSymbol("brazo_izq").$("V1").hide();
         sym.getSymbol("brazo_izq").$("V2").hide();
         sym.getSymbol("brazo_izq").$("V3").hide();
         
         sym.$("brillo1_2").show(3);
         sym.$("brillo1_1").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("bolsa_doblada2").play();
         sym.getSymbol("riel").play();
         sym.$("btn4").show();
         sym.$("btn3").hide();
         
         sym.getSymbol("rollo_de_lana2").$("rollo_de_lana").hide();
         sym.getSymbol("rollo_de_lana2").$("rollo_de_lanaCopy").hide();
         sym.getSymbol("rollo_de_lana2").$("rollo_de_lanaCopy2").hide();
         
         sym.$("brillo1_3").show(3);
         sym.$("brillo1_2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn4}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("brazo_der").play();
         sym.getSymbol("riel").play();
         sym.$("btn1").show();
         sym.$("btn4").hide();
         
         sym.getSymbol("bolsa_doblada2").$("bolsa_doblada").hide();
         sym.getSymbol("bolsa_doblada2").$("bolsa_dobladaCopy").hide();
         sym.getSymbol("bolsa_doblada2").$("bolsa_dobladaCopy2").hide();
         
         sym.$("brillo1").show(3);
         sym.$("brillo1_3").hide();
         

      });
      //Edge binding end

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'pc'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.play(0);

      });
      //Edge binding end

   })("pc");
   //Edge symbol end:'pc'

   //=========================================================
   
   //Edge symbol: 'brazo_izq'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11500, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("brazo_izq");
   //Edge symbol end:'brazo_izq'

   //=========================================================
   
   //Edge symbol: 'riel'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("riel");
   //Edge symbol end:'riel'

   //=========================================================
   
   //Edge symbol: 'brazo_der'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("brazo_der");
   //Edge symbol end:'brazo_der'

   //=========================================================
   
   //Edge symbol: 'rollo_de_lana'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5500, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("rollo_de_lana");
   //Edge symbol end:'rollo_de_lana'

   //=========================================================
   
   //Edge symbol: 'bolsa_doblada'
   (function(symbolName) {   
   
   })("bolsa_doblada");
   //Edge symbol end:'bolsa_doblada'

   //=========================================================
   
   //Edge symbol: 'brillo1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("brillo1");
   //Edge symbol end:'brillo1'

   //=========================================================
   
   //Edge symbol: 'brillo1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

   })("brillo1_1");
   //Edge symbol end:'brillo1_1'

   //=========================================================
   
   //Edge symbol: 'brillo1_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

   })("brillo1_2");
   //Edge symbol end:'brillo1_2'

   //=========================================================
   
   //Edge symbol: 'brillo1_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

   })("brillo1_3");
   //Edge symbol end:'brillo1_3'

})(jQuery, AdobeEdge, "EDGE-5531445");